org.apache.ode.axis2

## Class BindingContextImpl

- java.lang.Object
- - org.apache.ode.axis2.BindingContextImpl

- All Implemented Interfaces:
    BindingContext

      public class BindingContextImpl
      extends java.lang.Object
      implements BindingContext

  AXIS2 implementation of the `BindingContext` interface. Deals with the activation of endpoints.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `__log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingContextImpl(ODEServer server)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EndpointReference` | `activateMyRoleEndpoint(javax.xml.namespace.QName processId, Endpoint myRoleEndpoint)` Activate a "myRole" endpoint.
    `long` | `calculateSizeofService(EndpointReference epr)` Calculate the size of the service that this endpoint references.
    `protected ExternalService` | `createExternalService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName)`
    `PartnerRoleChannel` | `createPartnerRoleChannel(javax.xml.namespace.QName processId, javax.wsdl.PortType portType, Endpoint initialPartnerEndpoint)` Create a communication channel for communicating with a partner.
    `protected ODEService` | `createService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName)`
    `void` | `deactivateMyRoleEndpoint(Endpoint myRoleEndpoint)` Deactivate a "myRole" endpoint.
    `protected ODEService` | `destroyService(javax.xml.namespace.QName serviceName, java.lang.String portName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __log

          protected final org.apache.commons.logging.Log __log

  - ### Constructor Detail

    - #### BindingContextImpl

          public BindingContextImpl(ODEServer server)

  - ### Method Detail

    - #### activateMyRoleEndpoint

          public EndpointReference activateMyRoleEndpoint(javax.xml.namespace.QName processId,
                                                 Endpoint myRoleEndpoint)

      Description copied from interface: `BindingContext`
      Activate a "myRole" endpoint. This is a notifaction to the integration layer that the BPEL engine is interested in receiving requests for the given endpoint and that the IL should establish the communication mechanisms that would make this happen.
      Specified by:
        `activateMyRoleEndpoint` in interface `BindingContext`
        `myRoleEndpoint` - endpoint identifer (service qname + port)

    - #### deactivateMyRoleEndpoint

          public void deactivateMyRoleEndpoint(Endpoint myRoleEndpoint)

      Description copied from interface: `BindingContext`
      Deactivate a "myRole" endpoint. This is a notification to the integration layer that the BPEL engine is no longer interested in receiving requests for the given endpoint and that the IL should tear down any communication mechanisms created in `BindingContext.activateMyRoleEndpoint(QName, Endpoint)`.
      Specified by:
        `deactivateMyRoleEndpoint` in interface `BindingContext`

    - #### createPartnerRoleChannel

          public PartnerRoleChannel createPartnerRoleChannel(javax.xml.namespace.QName processId,
                                                    javax.wsdl.PortType portType,
                                                    Endpoint initialPartnerEndpoint)

      Description copied from interface: `BindingContext`
      Create a communication channel for communicating with a partner. A default or initial value for the partner endpoint may be given.
      Specified by:
        `createPartnerRoleChannel` in interface `BindingContext`
      Parameters:
        `processId` - process identifier of the process requesting this channel
        `portType` - type of the port
        `initialPartnerEndpoint` - endpoint identifer (service qname + port) of the partner that we will communicate with on the link by default (i.e. if the partner link is not assigned to)

    - #### calculateSizeofService

          public long calculateSizeofService(EndpointReference epr)

      Description copied from interface: `BindingContext`
      Calculate the size of the service that this endpoint references.
      Specified by:
        `calculateSizeofService` in interface `BindingContext`
      Parameters:
        `epr` - the endpoint reference for the service

    - #### createService

          protected ODEService createService(ProcessConf pconf,
                                 javax.xml.namespace.QName serviceName,
                                 java.lang.String portName)
                                      throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### destroyService

          protected ODEService destroyService(javax.xml.namespace.QName serviceName,
                                  java.lang.String portName)

    - #### createExternalService

          protected ExternalService createExternalService(ProcessConf pconf,
                                              javax.xml.namespace.QName serviceName,
                                              java.lang.String portName)
                                                   throws ContextException

      Throws:
        `ContextException`